apiVersion: v1
kind: ConfigMap
metadata:
  name: argocd-cm
data:
  url: https://argo.nuccdc.club
  oidc.config: |
    name: Auth0
    issuer: https://nu-ccdc.us.auth0.com/
    clientID: $argocd-oidc-secrets:clientKey
    clientSecret: $argocd-oidc-secrets:clientSecret
    requestedScopes:
      - openid
      - profile
      - email
    requestedIDTokenClaims:
      https://nuccdc.club/claims/gitlabGroups:
        essential: true
